Change card status
This operation allow you to change the card status. You can block/unblock a card to accept or deny transactions, report for a replacement or make preventive blocks for the card.
HTTP Request
PUT /cards/status
Header Parameters
| Header | Description |
|---|---|
| Autorization required | The Bearer token created in Get authorization Token |
| Content-Type required | application/json |
Body parameters
| Parameter | Type | Pattern | Description |
|---|---|---|---|
| card_number required | string | 16 digits* or uuid | The card_number or card_id to be updated. |
| status required | string | Catalog | The update status for the card. See allowed values in Get Card Status Catalog |
| latitude required | float | Digits format "DD.ddddd" (5 decimal precision) | Latitude from where the status update is made. South latitudes are preceded by a minus sign. Latitudes range from -90 to 90 |
| longitude required | float | Digits format "DDD.ddddd" (5 decimal precision) | Longitude from where the status update is made. West longitudes are preceded by a minus sign. Longitudes range from -180 to 180 |
note
*If card_number is sended as 16 digits, it must be sended ciphered and Base 64 Encoded. See Data encryption & encoding.
Example JSON Request:
{
"card_number": "11111111-daa7-1234-aaaa-123123123ecd",
"status": "TEMPORARY_INACTIVE",
"latitude": 12.12345,
"longitude": 15.12345
}
Example JSON Response:
{
"success": true,
"code": 0,
"message": "OK",
"data": {
"card": {
"id": "11111111-daa7-1234-aaaa-123123123ecd",
"masked_card_number": "************1234",
"last_four": "0926",
"type": "PHYSICAL",
"status": "TEMPORARY_INACTIVE",
"cancellation_timestamp": "2026-03-24T16:30:10.505-06:00"
},
"account": {
"id": "12312312-1234-1234-1234-123456123123",
"reference": "555555555",
"status": "ACTIVE"
},
"operation": {
"id": "12131411-daa7-1234-aaaa-143526129ecd",
"authorization_code": "110920260333333333",
"timestamp": "2024-01-22T16:30:10.513-06:00"
}
}
}